Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyTemporaryQueue

    java.lang.Object
      org.jboss.mq.SpyDestination
          org.jboss.mq.SpyQueue
              org.jboss.mq.SpyTemporaryQueue

All Implemented Interfaces:
  javax.jms.Destination, javax.jms.Queue, Referenceable, Serializable, javax.jms.TemporaryQueue

public class SpyTemporaryQueue
extends SpyQueue
implements javax.jms.TemporaryQueue

This class implements javax.jms.TemporaryQueue

Version:
  $Revision: 1.7 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.mq.SpyDestination
`hash, name, NULL, OBJECT, SPY_QUEUE, SPY_TEMP_QUEUE, SPY_TEMP_TOPIC, SPY_TOPIC`

Constructor Summary
`SpyTemporaryQueue(String queueName, ConnectionToken dc_)` Create a new SpyTemporaryQueue

Method Summary
`void` | `delete()`
`void` | `setConnection(Connection con)` Client-side temporary queues need a reference to the connection that created them in case delete() is called.

Methods inherited from class org.jboss.mq.SpyQueue
`equals, getQueueName, getReference, toString`

Methods inherited from class org.jboss.mq.SpyDestination
`getName, hashCode, readDest, writeDest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Queue
`getQueueName, toString`

Constructor Detail

### SpyTemporaryQueue

    public SpyTemporaryQueue(String queueName,
                             ConnectionToken dc_)

  Create a new SpyTemporaryQueue

Parameters:
  `queueName` - the queue name
  `dc_` - the connection token

Method Detail

### setConnection

    public void setConnection(Connection con)

  Client-side temporary queues need a reference to the connection that created them in case delete() is called.

  Parameters:
    `con` - the connection

### delete

    public void delete()
                throws javax.jms.JMSException

  Specified by:
    `delete` in interface `javax.jms.TemporaryQueue`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.